#16-movement



#' Calculate movement percents
#'
#' Calculate movement percents
#'
#' @param run_pop which pop to run
#' @param run_scenario which scenario to run
#'
#' @export


hab_calc_movement <- function(
  run_pop,
  run_scenario
  ){

  mvmt_diff <- mvmt_nat_potential - mvmt_base

  movement_scen <- tidytable::case_when.(
    run_scenario %in% c(
      "Current",
      'dev_and_climate',
      'Barriers',
      'Shade',
      'LR',
      'Delta',
      'Fine_sediment') ~ mvmt_base,
    run_scenario %in% c( # these scenarios get natural movement
      'Floodplain',
      'Beaver',
      'FP_wood_comb',
      'Historical',
      'All_100%') ~ mvmt_nat_potential,
    run_scenario == 'Wood' ~ mvmt_wood,
    grepl('25%', run_scenario) ~ mvmt_base + (.25 * mvmt_diff),
    grepl('50%', run_scenario) ~ mvmt_base + (.5 * mvmt_diff),
    grepl('75%', run_scenario) ~ mvmt_base + (.75 * mvmt_diff))


  tidytable::tidytable( # all combos of subbasins and scenarios
    subbasin_num = subbasin_names$subbasin_num,
    scenario = run_scenario,
    movement = movement_scen)
}

